GET /deploy/runtime/{instance_id}/logs
Get the runtime log (server rendering)
Scope job:read. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
instance_id | path | string · required | |
lines | query | integer |
Responses
| Status | Description | Body |
|---|---|---|
200 | Latest lines | object |
404 | deploy_runtime_instance_not_found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/deploy/runtime/<instance_id>/logs" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.deploy.runtimeLogs("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.deploy.runtime_logs("<id>")